Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.sim.dla
Class DLA

    java.lang.Object
      toxi.sim.dla.DLA

    public class DLA

extends java.lang.Object

Constructor Summary
`DLA(float size)`
`DLA(float size, DLAConfiguration config, DLAGuideLines guides)`

Method Summary
`DLA` | `addListener(DLAEventListener l)`
`void` | `addParticle(toxi.geom.Vec3D p)`
`void` | `clear()`
`DLAConfiguration` | `getConfig()`
`toxi.geom.Vec3D` | `getCurrentCurvePoint()`
`DLAParticle` | `getCurrentParticle()`
`DLAGuideLines` | `getGuidelines()`
`toxi.geom.PointOctree` | `getGuideOctree()`
`int` | `getNumActiveSegments()`
`int` | `getNumParticles()`
`toxi.geom.PointOctree` | `getParticleOctree()`
`java.util.List<toxi.geom.Vec3D>` | `getParticles()`
`DLA` | `removeListener(DLAEventListener l)`
`void` | `reset()`
`void` | `save(java.lang.String fname, boolean isCentered)`
`void` | `saveAsText(java.lang.String fname, boolean isCentered)`
`void` | `setConfig(DLAConfiguration config)`
`void` | `setGuidelines(DLAGuideLines guidelines)`
`void` | `update()`
`void` | `update(int numIterations)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLA

    public DLA(float size)

### DLA

    public DLA(float size,
               DLAConfiguration config,
               DLAGuideLines guides)

Method Detail

### addListener

    public DLA addListener(DLAEventListener l)

### addParticle

    public void addParticle(toxi.geom.Vec3D p)

### clear

    public void clear()

### getConfig

    public DLAConfiguration getConfig()

  Returns:
    the config

### getCurrentCurvePoint

    public toxi.geom.Vec3D getCurrentCurvePoint()

  Returns:
    the currCurvePoint

### getCurrentParticle

    public DLAParticle getCurrentParticle()

  Returns:
    the currParticle

### getGuidelines

    public DLAGuideLines getGuidelines()

  Returns:
    the guidelines

### getGuideOctree

    public toxi.geom.PointOctree getGuideOctree()

  Returns:
    the octreeGuides

### getNumActiveSegments

    public int getNumActiveSegments()

  Returns:
    the numActiveSegments

### getNumParticles

    public int getNumParticles()

  Returns:
    the numParticles

### getParticleOctree

    public toxi.geom.PointOctree getParticleOctree()

### getParticles

    public java.util.List<toxi.geom.Vec3D> getParticles()

  Returns:
    the octree

### removeListener

    public DLA removeListener(DLAEventListener l)

### reset

    public void reset()

### save

    public void save(java.lang.String fname,
                     boolean isCentered)

### saveAsText

    public void saveAsText(java.lang.String fname,
                           boolean isCentered)

### setConfig

    public void setConfig(DLAConfiguration config)

  Parameters:
    `config` - the config to set

### setGuidelines

    public void setGuidelines(DLAGuideLines guidelines)

  Parameters:
    `guidelines` - the guidelines to set

### update

    public void update()

### update

    public void update(int numIterations)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD